%define _name sensors-applet
%define ver_major 1.7

# Don't know whether we have NV-Control in Sisyphus
%def_without nvidia

Name: gnome-applets-extra-sensors
Version: %ver_major.11
Release: alt1

Summary: GNOME Sensors Applet
Group: Graphical desktop/GNOME
License: GPL
Url: http://%_name.sourceforge.net

Source: http://mesh.dl.sourceforge.net/sourceforge/%_name/%_name-%version.tar.gz

# From configure.ac
%define panel_ver 2.0.0
Requires: gnome-panel >= %panel_ver
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libgtk+2-devel >= 2.8.0
BuildPreReq: libgnome-panel-devel >= %panel_ver
BuildPreReq: libgnomeui-devel >= 2.8.0
BuildPreReq: libnotify-devel >= 0.3.0
BuildPreReq: libcairo-devel >= 1.0.4
BuildPreReq: libsensors-devel
BuildPreReq: xsltproc gnome-doc-utils >= 0.3.2

BuildRequires: libSM-devel

%description
GNOME Sensors Applet is an applet for the GNOME Panel to display
readings from hardware sensors, including CPU and system temperatures,
fan speeds and voltage readings under Linux.

%define _appletdir %_libdir/gnome-applets
# FIXME: For some reason, it put the applet to plain %_libexecdir/ anyway.

%prep
%setup -q -n %_name-%version

%build
%configure \
	--enable-libnotify \
    --with-libsensors \
	%{subst_with nvidia} \
    --libexecdir=%_appletdir \
    --disable-scrollkeeper \
    --disable-schemas-install

%make_build

%install
%make_install install libexecdir=%_appletdir DESTDIR=%buildroot

%find_lang --with-gnome %_name

%files -f %_name.lang
%_appletdir/*
%_libdir/bonobo/*/*
%_datadir/gnome-2.0/ui/*
%dir %_datadir/pixmaps/%_name
%_datadir/pixmaps/%_name/*.png
%_iconsdir/hicolor/22x22/devices/%_name-*.png
%_liconsdir/%_name.png
%doc AUTHORS README ChangeLog NEWS TODO

%changelog
* Sat Apr 21 2007 Alexey Rusakov <ktirf@altlinux.org> 1.7.11-alt1
- new version (1.7.11)

* Mon Jan 29 2007 Alexey Rusakov <ktirf@altlinux.org> 1.7.10-alt1
- new version (1.7.10)

* Wed Jun 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.6.1-alt2
- fixed packaging mistakes.

* Wed Jun 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.6.1-alt1
- new version (1.6.1)
- updated dependencies
- cleaned up the spec
- the applet now resides in %_libdir/gnome-applets.

* Mon Mar 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7

* Mon Jan 31 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0
- Thanks to voldar@ for russian translation.

* Tue Jan 25 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt1
- First build for Sisyphus.

